Package wx :: Module aui :: Class AuiTabCtrl

[frames | no frames]

## Type AuiTabCtrl

                object --+
                         |
           AuiTabContainer --+
                             |
    object --+               |
             |               |
        Object --+           |
                 |           |
        EvtHandler --+       |
                     |       |
                Window --+   |
                         |   |
                   Control --+
                             |
                            AuiTabCtrl

Proxy of C++ AuiTabCtrl class

Method Summary
Control | ``__init__`(self, parent, id, pos, size, style, validator, name)` Create a Control.
| `__del__(self)`
bool | `IsDragging(self)`

Property Summary
| `thisown`: The membership flag

Instance Method Details

### __init__(self, parent, id=ID_ANY, pos=DefaultPosition, size=DefaultSize, style=0)
(Constructor)

Create a Control. Normally you should only call this from a subclass' __init__ as a plain old wx.Control is not very useful.

  Parameters:
    `parent`
    (type=Window)

    `id`
    (type=int)

    `pos`
    (type=Point)

    `size`
    (type=Size)

    `style`
    (type=long)

    `validator`
    (type=Validator)

    `name`
    (type=String)

  Returns:
    Control
  Overrides:
    `wx.Control.__init__` (inherited documentation)

Property Details

### thisown

The membership flag

  Get Method:
    unknown-27427736(...)
  Set Method:
    unknown-27427856(...)

Generated by Epydoc 2.1.20050511.rpd on Wed Sep 26 13:48:32 2007 | http://epydoc.sf.net